# Interface ThroughputInterceptorMBean

All Known Implementing Classes:
  `ThroughputInterceptor`

public interface ThroughputInterceptorMBean
MBean interface for managing the ThroughputInterceptor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getInterval()`
Returns the reporting interval in milliseconds.
`double`
`getLastCnt()`
Returns the last message count.
`double`
`getMbAppTx()`
Returns the application-layer transmit rate in MB/s.
`double`
`getMbRx()`
Returns the receive rate in MB/s.
`double`
`getMbTx()`
Returns the transmit rate in MB/s.
`AtomicLong`
`getMsgRxCnt()`
Returns the received message count.
`AtomicLong`
`getMsgTxCnt()`
Returns the transmitted message count.
`AtomicLong`
`getMsgTxErr()`
Returns the transmit error count.
`int`
`getOptionFlag()`
Returns the option flag used to determine if this interceptor should process a message.
`long`
`getRxStart()`
Returns the receive start timestamp.
`double`
`getTimeTx()`
Returns the last transmit time.
`long`
`getTxStart()`
Returns the transmit start timestamp.
`void`
`report(double timeTx)`
Reports throughput statistics.
`void`
`setInterval(int interval)`
Sets the reporting interval in milliseconds.

## Method Details

### getOptionFlag

int getOptionFlag()
Returns the option flag used to determine if this interceptor should process a message.

Returns:
  the option flag

### getInterval

int getInterval()
Returns the reporting interval in milliseconds.

Returns:
  the interval

### setInterval

void setInterval(int interval)
Sets the reporting interval in milliseconds.

Parameters:
  `interval` - the interval

### getLastCnt

double getLastCnt()
Returns the last message count.

Returns:
  the last count

### getMbAppTx

double getMbAppTx()
Returns the application-layer transmit rate in MB/s.

Returns:
  the MB/s rate

### getMbRx

double getMbRx()
Returns the receive rate in MB/s.

Returns:
  the MB/s rate

### getMbTx

double getMbTx()
Returns the transmit rate in MB/s.

Returns:
  the MB/s rate

### getMsgRxCnt

AtomicLong getMsgRxCnt()
Returns the received message count.

Returns:
  the count

### getMsgTxCnt

AtomicLong getMsgTxCnt()
Returns the transmitted message count.

Returns:
  the count

### getMsgTxErr

AtomicLong getMsgTxErr()
Returns the transmit error count.

Returns:
  the count

### getRxStart

long getRxStart()
Returns the receive start timestamp.

Returns:
  the timestamp

### getTimeTx

double getTimeTx()
Returns the last transmit time.

Returns:
  the time

### getTxStart

long getTxStart()
Returns the transmit start timestamp.

Returns:
  the timestamp

### report

void report(double timeTx)
Reports throughput statistics.

Parameters:
  `timeTx` - the transmit time